<?php
require_once("../config/conexion.php");
require_once("../models/Practica.php");
require_once("../models/Permisos.php");
$practica = new Practica();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "consultar_practica":
        $datos = $practica->Practica_por_ID($_POST["practicadbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["practicadbk"] = $row["practicadbk"];
                $output["carrera"] = $row["carrera"];
                $output["estudiante"] = $row["estudiante"];
                $output["horas"] = $row["horas"];
                $output["institucion"] = $row["institucion"];
                $output["representante_legal"] = $row["representante_legal"];
                $output["cargo_representante"] = $row["cargo_representante"];
                $output["fec_inicio"] = $row["fec_inicio"];
                $output["fec_fin"] = $row["fec_fin"];
                $output["area"] = $row["area"];
                $output["docente"] = $row["docente"];
                $output["sup_nombre"] = $row["sup_nombre"];
                $output["sup_cargo"] = $row["sup_cargo"];
                $output["sup_email"] = $row["sup_email"];
                $output["sup_telefono"] = $row["sup_telefono"];
                $output["sup_registro"] = $row["sup_registro"];
                $output["fec_capacitacion"] = $row["fec_capacitacion"];
                $output["P1"] = $row["P1"];
                $output["O1"] = $row["O1"];
                $output["P2"] = $row["P2"];
                $output["O2"] = $row["O2"];
                $output["P3"] = $row["P3"];
                $output["O3"] = $row["O3"];
                $output["P4"] = $row["P4"];
                $output["O4"] = $row["O4"];
                $output["P5"] = $row["P5"];
                $output["O5"] = $row["O5"];
                $output["doc_informe"] = $row["doc_informe"];
                $output["fec_convenio"] = $row["fec_convenio"];
            }
            echo json_encode($output);
        }
        break;
    case "consultar_actividad":
        $datos = $practica->Actividad_por_ID($_POST["actividadesdbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["actividadesdbk"] = $row["actividadesdbk"];
                $output["fecha_actividad"] = $row["fecha_actividad"];
                $output["hora_entrada"] = $row["hora_entrada"];
                $output["hora_salida"] = $row["hora_salida"];
                $output["obj_actividad"] = $row["objetivo"];
                $output["actividad"] = $row["actividad"];
            }
            echo json_encode($output);
        }
        break;    
    case "consultar_objetivos":
        $datos = $practica->Objetivos_por_ID($_POST["objetivosdbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["objetivosdbk"] = $row["objetivosdbk"];
                $output["descripcion"] = $row["descripcion"];
                $output["cumplimiento"] = $row["cumplimiento"];
                $output["resultado"] = $row["resultado"];
                $output["conclusion"] = $row["conclusion"];

            }
            echo json_encode($output);
        }
        break;         
    case "consultar_estados":
        $datos = $practica->Estados_por_ID($_POST["practicadbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["centro_practica"] = $row["centro_practica"];
                $output["vigencia"] = $row["vigencia"];
                $output["horario"] = $row["horario"];
                $output["supervisor"] = $row["supervisor_tecnico"];
                $output["seguridad"] = $row["seguridad"];
                $output["objetivos"] = $row["objetivos"];
                $output["resultados"] = $row["resultados"];
                $output["semanas"] = $row["semanas"];
                $output["culminacion"] = $row["culminacion"];
            }
            echo json_encode($output);
        }
        break; 
    case "consultar_competencia":
        $datos = $practica->Competencias_por_ID($_POST["resultadosdbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["resultadosdbk"] = $row["resultadosdbk"];
                $output["descripcion"] = $row["descripcion"];
                $output["cumplimiento"] = $row["cumplimiento"];
                $output["indicador"] = $row["indicador"];
            }
            echo json_encode($output);
        }
        break; 
    case "consultar_observaciones1":
        $datos = $practica->Observaciones1_por_ID($_POST["observacionesdbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["observacionesdbk"] = $row["observacionesdbk"];
                $output["comentario"] = $row["observacion"];
                $output["estadoObservacion"] = $row["estado"];                
            }
            echo json_encode($output);
        }
        break;              
    case "listar":
        $datos = $practica->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("PRACTICA PRE-PROFESIONAL", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
            $asignar = $row["asignar"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["practicadbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["carrera"];
            $sub_array[] = $row["horas"];
            if ($estado == 1) {
                if ($row["estado"] != "INACTIVO") {
                    $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarPractica" idPractica="' . $row["practicadbk"] . '" estadoPractica="INACTIVO">Activo</button></td>';
                } else {
                    $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarPractica" idPractica="' . $row["practicadbk"] . '" estadoPractica="ACTIVO">Inactivo</button></td>';
                }
            }
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["practicadbk"] . ');" id="' . $row["practicadbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["practicadbk"] . ');" id="' . $row["practicadbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($asignar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="informacion(' . $row["practicadbk"] . ');" id="' . $row["practicadbk"] . '" class="btn btn-outline-success btn-icon"><div><i class="fa fa-folder-open"></i></div></button>
                <button type="button" onClick="documento(' . $row["practicadbk"] . ');" id="' . $row["practicadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            if (($leer == 1)&&($_SESSION["perfil"]=="DOCENTE")) {
                $accesos = $accesos . ' 
                <button type="button" onClick="informacion(' . $row["practicadbk"] . ');" id="' . $row["practicadbk"] . '" class="btn btn-outline-success btn-icon"><div><i class="fa fa-folder-open"></i></div></button>';
            }
            
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;

    case "listarHorario":
        $datos = $practica->ConsultarHorario($_POST["practicadbkH"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["horariodbk"];
            $sub_array[] = $row["dia"];
            $sub_array[] = $row["hor_inicio"];
            $sub_array[] = $row["hor_fin"];
            $sub_array[] = $row["hor_total"];    
            if($_SESSION["perfil"]=="ESTUDIANTE"){
                $accesos = $accesos . '
                <button type="button" onClick="eliminarHorario(' . $row["horariodbk"] . ');" id="' . $row["horariodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';                        
                $sub_array[] = $accesos;
            }
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;        
    case "listarObjetivo":
        $datos = $practica->ConsultarObjetivo($_POST["practicadbkO"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();            
            if($_SESSION["perfil"]=="ESTUDIANTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObjetivo(' . $row["objetivosdbk"] . ');" id="' . $row["objetivosdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "listarObjetivoCumplimiento":
        $datos = $practica->ConsultarObjetivo($_POST["practicadbkO"]);        
        $accesos ="";
        $count=1;
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $count;
            $accesos = $accesos . '
                <button type="button" onClick="cargarObjetivo(' . $row["objetivosdbk"] . ');" id="' . $row["objetivosdbk"] . '" class="btn btn-warning btn-icon"><div></div>Objetivo</button>';                                    
            $sub_array[] = $accesos;
            $sub_array[] = $row["cumplimiento"];  
            $sub_array[] = $row["resultado"];
            $sub_array[] = $row["descripcion"];
            $data[] = $sub_array;
            $accesos = "";
            $count++;
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;  
    case "listarConclusiones":
        $datos = $practica->ConsultarObjetivo($_POST["practicadbkO"]);        
        $accesos ="";
        $count=1;
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $count;
            $accesos = $accesos . '
                <button type="button" onClick="cargarConclusion(' . $row["objetivosdbk"] . ');" id="' . $row["objetivosdbk"] . '" class="btn btn-warning btn-icon"><div></div>Objetivo</button>';                                    
            $sub_array[] = $accesos;
            $sub_array[] = $row["descripcion"];  
            $sub_array[] = $row["conclusion"];
            $data[] = $sub_array;
            $accesos = "";
            $count++;
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;         
    case "listarCompetenciaCumplimiento":
        $datos = $practica->ConsultarResultado($_POST["practicadbkO"]);        
        $accesos ="";
        $count=1;
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $count;
            $accesos = $accesos . '
                <button type="button" onClick="cargarCompetencia(' . $row["resultadosdbk"] . ');" id="' . $row["resultadosdbk"] . '" class="btn btn-warning btn-icon"><div></div>Competencia</button>';                                    
            $sub_array[] = $accesos;
            $sub_array[] = $row["cumplimiento"];  
            $sub_array[] = $row["indicador"];
            $sub_array[] = $row["descripcion"];
            $data[] = $sub_array;
            $accesos = "";
            $count++;
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;        
    case "listarResultado":
        $datos = $practica->ConsultarResultado($_POST["practicadbkR"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();       
            $accesos = $accesos . '
                <button type="button" onClick="eliminarResultado(' . $row["resultadosdbk"] . ');" id="' . $row["resultadosdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';                        
            $sub_array[] = $accesos;
            $sub_array[] = $row["descripcion"];   
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;        
    case "listarSemana":
        $datos = $practica->ConsultarSemana($_POST["practicadbkSe"]);        
        $accesos ="";
        $count=1;
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="ESTUDIANTE"){
                $accesos = $accesos . '
                <button type="button" onClick="eliminarSemana(' . $row["semanadbk"] . ');" id="' . $row["semanadbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';                        
            }
            $accesos = $accesos . '      
                <button type="button" onClick="actividades(' . $row["semanadbk"] . ');" id="' . $row["semanadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-briefcase"></i></div></button>';   
            $sub_array[] = $accesos;
            $sub_array[] = $count++;
            $sub_array[] = $row["descripcion"];
            $sub_array[] = $row["desde"];
            $sub_array[] = $row["hasta"];                
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break; 
    case "listarActividades":
        $datos = $practica->ConsultarActividad($_POST["semanadbk"]);        
        $accesos ="";
        $count=1;
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="ESTUDIANTE"){
                $accesos = $accesos . '
                <button type="button" onClick="eliminarActividades(' . $row["actividadesdbk"] . ');" id="' . $row["actividadesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';                        
            }
            $accesos = $accesos . '      
                <button type="button" onClick="editarActividades(' . $row["actividadesdbk"] . ');" id="' . $row["actividadesdbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';   
            $sub_array[] = $accesos;
            $sub_array[] = $count++;
            $sub_array[] = $row["fecha_actividad"];
            $sub_array[] = $row["horas"]; 
            $sub_array[] = $row["minutos"]; 
            $sub_array[] = $row["actividad"];              
            $data[] = $sub_array;
            $accesos = "";            
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;       
    case "listarObservacion1":
        $datos = $practica->ConsultarObservacion1($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacion1(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacion1(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;    
    case "listarObservacionV":
        $datos = $practica->ConsultarObservacionV($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionV(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionV(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;   
    case "listarObservacionH":
        $datos = $practica->ConsultarObservacionH($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionH(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionH(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;      
    case "listarObservacionS":
        $datos = $practica->ConsultarObservacionS($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionS(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionS(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "listarObservacionSeg":
        $datos = $practica->ConsultarObservacionSeg($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionSeg(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionSeg(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break; 
    case "listarObservacionObj":
        $datos = $practica->ConsultarObservacionObj($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionObj(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionObj(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break; 
    case "listarObservacionRes":
        $datos = $practica->ConsultarObservacionRes($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionRes(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionRes(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;     
    case "listarObservacionSem":
        $datos = $practica->ConsultarObservacionSem($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionSem(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionSem(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break; 
    case "listarObservacionCul":
        $datos = $practica->ConsultarObservacionCul($_POST["practicadbkCP"]);        
        $accesos ="";
        foreach ($datos as $row) {
            $sub_array = array();
            if($_SESSION["perfil"]=="DOCENTE"){
                $accesos = $accesos . '
                    <button type="button" onClick="eliminarObservacionCul(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
                    <button type="button" onClick="editarObservacionCul(' . $row["observacionesdbk"] . ');" id="' . $row["observacionesdbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-edit"></i></div></button>';                        
                $sub_array[] = $accesos;                  
            }
            $sub_array[] = $row["descripcion"]; 
            $sub_array[] = $row["observacion"]; 
            $data[] = $sub_array;
            $accesos = "";  
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "guardarPractica":
        $datos = array("tabla" => "prac_general",
            "practicadbk" => $_POST["practicadbk"],
            "carrera" => $_POST["carrera"],
            "estudiante" => $_POST["estudiante"],
            "horas" => $_POST["horas"],
            "periodo" => $_SESSION["periodbk"]           
        );
        $practica->mdlActualizarPracticaGeneral($datos);
        break; 
    case "guardarInstitucion":
        $datos = array("tabla" => "prac_general",
            "practicadbk" => $_POST["practicadbkCP"],
            "institucion" => $_POST["institucion"],
            "representante_legal" => $_POST["representante_legal"],
            "cargo_representante" => $_POST["cargo_representante"],
            "fec_convenio" => $_POST["fec_convenio"]
        );
        $practica->mdlActualizarInstitucion($datos);
        break;
    case "actualizarEstadoCentro":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEst"],
            "estadoCentro" => $_POST["estadoCentro"]
        );
        $practica->mdlActualizarEstadoCentro($datos);
        break;  
    case "actualizarEstadoV":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstV"],
            "estadoVigencia" => $_POST["estadoV"]
        );
        $practica->mdlActualizarEstadoVigencia($datos);
        break;     
    case "actualizarEstadoH":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstH"],
            "estadoHorario" => $_POST["estadoH"]
        );
        $practica->mdlActualizarEstadoHorario($datos);
        break;   
    case "actualizarEstadoS":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstS"],
            "estadoSupervisor" => $_POST["estadoS"]
        );
        $practica->mdlActualizarEstadoSupervisor($datos);
        break;      
    case "actualizarEstadoSeg":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstSeg"],
            "estadoSeguridad" => $_POST["estadoSeg"]
        );
        $practica->mdlActualizarEstadoSeguridad($datos);
        break;    
    case "actualizarEstadoObj":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstObj"],
            "estadoObjetivo" => $_POST["estadoObj"]
        );
        $practica->mdlActualizarEstadoObjetivo($datos);
        break;     
    case "actualizarEstadoRes":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstRes"],
            "estadoResultado" => $_POST["estadoRes"]
        );
        $practica->mdlActualizarEstadoResultado($datos);
        break;     
    case "actualizarEstadoSem":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstSem"],
            "estadoSemana" => $_POST["estadoSem"]
        );
        $practica->mdlActualizarEstadoSemana($datos);
        break;  
    case "actualizarEstadoCul":
        $datos = array("tabla" => "prac_estado",
            "practica" => $_POST["practicadbkEstCul"],
            "estadoCulminacion" => $_POST["estadoCul"]
        );
        $practica->mdlActualizarEstadoCulminacion($datos);
        break;     
    case "guardarVigencia":
        $datos = array("tabla" => "prac_general",
            "practicadbk" => $_POST["practicadbkV"],
            "fec_inicio" => $_POST["inicioPractica"],
            "fec_fin" => $_POST["fechaCulminacion"],
            "area" => $_POST["areaPractica"]
        );
        $practica->mdlActualizarVigencia($datos);
        break;  
    case "guardarHorario":        
        $datos = array("tabla" => "prac_horario",
            "practicadbk" => $_POST["practicadbkH"],
            "hor_dia" => $_POST["hor_dia"],
            "hor_inicio" => $_POST["hor_inicio"],
            "hor_fin" => $_POST["hor_fin"]
        );
        $practica->mdlIngresarHorario($datos);        
        $practica->mdlTotalHoras($datos);
        break;  
    case "guardarObjetivo":        
        $datos = array("tabla" => "prac_objetivos",
            "practicadbk" => $_POST["practicadbkO"],
            "carreraobe" => $_POST["objetivos"]
        );
        $practica->mdlIngresarObjetivo($datos);
        break; 
    case "guardarObjetivoC":        
        $datos = array("tabla" => "prac_objetivos",
            "objetivosdbk" => $_POST["objetivosdbk"],
            "cumplimiento" => $_POST["cumplimiento"],
            "resultado" => $_POST["resultado"]
        );
        $practica->mdlIngresarObjetivoC($datos);
        break;  
    case "guardarCompetenciaC":        
        $datos = array("tabla" => "prac_resultados",
            "resultadosdbk" => $_POST["resultadosdbk"],
            "cumplimiento" => $_POST["cumplimiento2"],
            "indicador" => $_POST["resultado2"]
        );
        $practica->mdlIngresarCompetenciaC($datos);
        break;
    case "guardarConclusion":        
        $datos = array("tabla" => "prac_objetivos",
            "objetivosdbk" => $_POST["objetivosdbk2"],
            "conclusion" => $_POST["conclusion"]
        );
        $practica->mdlIngresarConclusion($datos);
        break; 
    case "guardarResultado":        
        $datos = array("tabla" => "prac_resultados",
            "practicadbk" => $_POST["practicadbkR"],
            "carreracom" => $_POST["carreracom"]
        );
        $practica->mdlIngresarResultado($datos);
        break;     
    case "guardarSemana":        
        $datos = array("tabla" => "prac_semana",
            "practicadbk" => $_POST["practicadbkSe"],
            "desde" => $_POST["fechaDesde"],
            "hasta" => $_POST["fechaHasta"],
            "semana" => $_POST["semana"]
        );
        $practica->mdlIngresarSemana($datos);
        break;
    case "guardarActividad":        
        $datos = array("tabla" => "prac_actividad",
            "semana" => $_POST["semanadbk"],
            "fecha_actividad" => $_POST["fechaActividad"],
            "hora_entrada" => $_POST["hora_entrada"],
            "hora_salida" => $_POST["hora_salida"],
            "objetivo" => $_POST["obj_actividad"],
            "actividad" => $_POST["actividad"]
        );
        $practica->mdlIngresarActividad($datos);
        break;
    case "actualizarActividad":        
        $datos = array("tabla" => "prac_actividad",
            "actividadesdbk" => $_POST["actividadesdbk"],
            "semana" => $_POST["semanadbk"],
            "fecha_actividad" => $_POST["fechaActividad"],
            "hora_entrada" => $_POST["hora_entrada"],
            "hora_salida" => $_POST["hora_salida"],
            "objetivo" => $_POST["obj_actividad"],
            "actividad" => $_POST["actividad"]
        );
        $practica->mdlActualizarActividad($datos);
        break; 
    case "guardarObservacion1":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObs"],
            "observacion" => $_POST["comentario"],
            "estado" => $_POST["estadoObservacion"],
            "fase" => "CENTRO DE PRACTICA",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;  
    case "guardarObservacionV":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsV"],
            "observacion" => $_POST["comentarioV"],
            "estado" => $_POST["estadoObservacionV"],
            "fase" => "VIGENCIA",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;  
    case "guardarObservacionH":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsH"],
            "observacion" => $_POST["comentarioH"],
            "estado" => $_POST["estadoObservacionH"],
            "fase" => "HORARIO",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;     
    case "guardarObservacionS":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsS"],
            "observacion" => $_POST["comentarioS"],
            "estado" => $_POST["estadoObservacionS"],
            "fase" => "SUPERVISOR",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;
    case "guardarObservacionSeg":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsSeg"],
            "observacion" => $_POST["comentarioSeg"],
            "estado" => $_POST["estadoObservacionSeg"],
            "fase" => "SEGURIDAD",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break; 
    case "guardarObservacionObj":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsObj"],
            "observacion" => $_POST["comentarioObj"],
            "estado" => $_POST["estadoObservacionObj"],
            "fase" => "OBJETIVO",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;
        case "guardarObservacionRes":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsRes"],
            "observacion" => $_POST["comentarioRes"],
            "estado" => $_POST["estadoObservacionRes"],
            "fase" => "RESULTADO",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;
    case "guardarObservacionSem":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsSem"],
            "observacion" => $_POST["comentarioSem"],
            "estado" => $_POST["estadoObservacionSem"],
            "fase" => "SEMANA",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;
    case "guardarObservacionCul":     
        $fechaActual = new DateTime('now', new DateTimeZone('America/Guayaquil'));
        $datos = array("tabla" => "prac_observaciones",
            "practica" => $_POST["practicadbkObsCul"],
            "observacion" => $_POST["comentarioCul"],
            "estado" => $_POST["estadoObservacionCul"],
            "fase" => "CULMINACION",
            "fechaingreso" => $fechaActual->format('Y-m-d H:i:s')
        );
        $practica->mdlIngresarObservacion($datos);
        break;
    case "actualizarObservacion":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbk"],
            "observacion" => $_POST["comentario"],
            "estado" => $_POST["estadoObservacion"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;   
    case "actualizarObservacionV":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkV"],
            "observacion" => $_POST["comentarioV"],
            "estado" => $_POST["estadoObservacionV"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;   
    case "actualizarObservacionH":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkH"],
            "observacion" => $_POST["comentarioH"],
            "estado" => $_POST["estadoObservacionH"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;
    case "actualizarObservacionS":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkS"],
            "observacion" => $_POST["comentarioS"],
            "estado" => $_POST["estadoObservacionS"]
        );
        $practica->mdlActualizarObservacion($datos);
        break; 
    case "actualizarObservacionSeg":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkSeg"],
            "observacion" => $_POST["comentarioSeg"],
            "estado" => $_POST["estadoObservacionSeg"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;
    case "actualizarObservacionObj":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkObj"],
            "observacion" => $_POST["comentarioObj"],
            "estado" => $_POST["estadoObservacionObj"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;
    case "actualizarObservacionRes":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkRes"],
            "observacion" => $_POST["comentarioRes"],
            "estado" => $_POST["estadoObservacionRes"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;    
    case "actualizarObservacionSem":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkSem"],
            "observacion" => $_POST["comentarioSem"],
            "estado" => $_POST["estadoObservacionSem"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;    
        case "actualizarObservacionCul":        
        $datos = array("tabla" => "prac_observaciones",
            "observacionesdbk" => $_POST["observacionesdbkCul"],
            "observacion" => $_POST["comentarioCul"],
            "estado" => $_POST["estadoObservacionCul"]
        );
        $practica->mdlActualizarObservacion($datos);
        break;
    case "guardarTutor":
        $datos = array("tabla" => "prac_general",
            "practicadbk" => $_POST["practicadbkT"],
            "docente" => $_POST["docente"]            
        );
        $practica->mdlActualizarTutor($datos);
        break; 
    case "guardarSupervisorTecnico":
        $datos = array("tabla" => "prac_general",
            "practicadbk" => $_POST["practicadbkST"],
            "sup_nombre" => $_POST["sup_nombre"],
            "sup_cargo" => $_POST["sup_cargo"],
            "sup_email" => $_POST["sup_email"],
            "sup_telefono" => $_POST["sup_telefono"],
            "sup_registro" => $_POST["sup_registro"]
        );
        $practica->mdlActualizarSupervisorTecnico($datos);
        break;
    case "guardarSeguridad":
        $datos = array("tabla" => "prac_general",
            "practicadbk" => $_POST["practicadbkSeg"],
            "fec_capacitacion" => $_POST["fec_capacitacion"],
            "P1" => $_POST["P1"],
            "O1" => $_POST["O1"],
            "P2" => $_POST["P2"],
            "O2" => $_POST["O2"],
            "P3" => $_POST["P3"],
            "O3" => $_POST["O3"],
            "P4" => $_POST["P4"],
            "O4" => $_POST["O4"],
            "P5" => $_POST["P5"],
            "O5" => $_POST["O5"]
        );
        $practica->mdlActualizarSeguridad($datos);
        break;
    case "guardarDocumentacion":
        $datos = array("tabla" => "prac_general",
            "practicadbk" => $_POST["practicadbkD"],            
            "doc_informe" => $_POST["doc_informe"]
        );
        $practica->mdlActualizarDocumentacion($datos);
        break;     
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarPractica"])) {
            $datos = array("tabla" => "prac_general",
                "practicadbk" => $_POST["activarId"],
                "estado" => $_POST["activarPractica"]
            );
            $practica->mdlActualizarEstado($datos);
        }
        break;  
    case "eliminar_practica":
        $datos = $practica->Eliminar_por_ID($_POST["practicadbk"]);
        break;     
    case "eliminar_horario":
        $datos = $practica->EliminarHorario_por_ID($_POST["horariodbk"]);
        break; 
    case "eliminar_objetivo":
        $datos = $practica->EliminarObjetivo_por_ID($_POST["objetivosdbk"]);
        break;
    case "eliminar_resultado":
        $datos = $practica->EliminarResultado_por_ID($_POST["resultadosdbk"]);
        break;    
    case "eliminar_semana":
        $datos = $practica->EliminarSemana_por_ID($_POST["semanadbk"]);
        break; 
    case "eliminar_actividad":
        $datos = $practica->EliminarActividad_por_ID($_POST["actividadesdbk"]);
        break;
    case "eliminar_observacion1":
        $datos = $practica->EliminarObservacion1_por_ID($_POST["observacionesdbk"]);
        break;
    case "comboProceso":
        $datos = $practica->Consultar("practica_proceso");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['practicadbk'] . "'>" . $row['carrera'] . " - ".$row['nombre']. " - ".$row['periodo']. " - ".$row['horas']."H</option>";
            }
            echo $html;
        }
        break;  
    case "notificar":
        $datos = $practica->Notificar_por_ID($_POST["practicadbk"],$_POST["tabla"],$_POST["perfil"]);
        break;    
}
?>

